﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MagSiteLib;
using NestedHtmlWriter;

namespace MagSite2
{
    public partial class AdminAddBook : System.Web.UI.Page
    {
        public string CssUrl = "default.css";
        protected void Page_Load(object sender, EventArgs e)
        {
            FullKeyword keyword = URIQueryParser.ParseKeyword(Request.Params, FullKeyword.RootKeyword);
            this.CssUrl = SectionDefManager.GetSectionDef(keyword).StyleSheetURI;
        }

        protected void ButtonConfirm_Click(object sender, EventArgs e)
        {
            FullKeyword keyword = URIQueryParser.ParseKeyword(Request.Params, FullKeyword.RootKeyword);
            var peruAssociateID = SectionDefManager.GetSectionDef(keyword).PeruAssociateID;
            if (string.IsNullOrWhiteSpace(peruAssociateID))
            {
                LabelData.Text = "AssociateIDが最上位キーワードにセットされていないので、確認できません。";
                return;
            }
            var writer = new System.IO.StringWriter();
            using (var table = new NhTable(writer, null))
            {
                WriteLib.WritePeruAsinInformation(table, TextBoxAsin.Text.Trim(), peruAssociateID.Trim());
            }
            LabelData.Text = writer.ToString();
        }

        protected void ButtonAdd_Click(object sender, EventArgs e)
        {
            FullKeyword keyword = URIQueryParser.ParseKeyword(Request.Params, FullKeyword.RootKeyword);
            var peruAssociateID = SectionDefManager.GetSectionDef(keyword).PeruAssociateID;
            if (string.IsNullOrWhiteSpace(peruAssociateID))
            {
                LabelData.Text = "AssociateIDが最上位キーワードにセットされていないので、確認できません。";
                return;
            }
            if( !WriteLib.peruAsinItemCache.IsItemInCache(TextBoxAsin.Text.Trim(), peruAssociateID.Trim()) )
            {
                LabelData.Text = "まだアイテムが確認されていません。";
                return;
            }
            var book = new BookInfo(TextBoxAsin.Text.Trim(), TextBoxComment.Text.Trim());
            book.Save(keyword, DateTime.Now);
            Response.Redirect("admin.aspx?s=" + SectionDefManager.GetSectionDef(keyword).ShortKeyword);
        }
    }
}
